Package uk.ac.starlink.fits

# Class HeaderValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
uk.ac.starlink.fits.HeaderValueException

All Implemented Interfaces:
  `Serializable`

public class HeaderValueException extends IOException
Indicates a problem with a FITS header card.

Since:
  4 Mar 2022
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HeaderValueException()`
No-arg constructor.
`HeaderValueException(String msg)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeaderValueException

public HeaderValueException()
No-arg constructor.

### HeaderValueException

public HeaderValueException(String msg)
Constructor.

Parameters:
  `msg` - error message